読者です 読者をやめる 読者になる 読者になる

Nokogiri Install Error

ruby nokogiri

もう何度目でしょうか。nokogiriのinstallに失敗するのは。
ものすごいデジャブ感。

今回のは、xz の liblzma の依存関係が悪さしているようでした。
これはちょっと初体験。
Nokogiri 1.6.8 Install Fails on Mac OS X with xz installed from Homebrew · Issue #1483 · sparklemotion/nokogiri

brew uninstall xz
gem i nokogiri